<?php 

require_once "../controladores/paciente.controlador.php";
require_once "../modelos/paciente.modelo.php";

class AjaxPaciente {

    /*=============================================
	VALIDAR NO REPETIR PACIENTE
	=============================================*/	

	public $validarPaciente;

	public function ajaxValidarPaciente(){

		$item = "dni";
		$valor = $this->validarPaciente;

		$respuesta = ControladorPaciente::ctrMostrarPaciente($item, $valor);

		echo json_encode($respuesta);

	}

	 /** EDITAR PACIENTE */

	 public $idPaciente;

	 public function ajaxEditarPaciente(){
 
		 $item = "id_paciente";
		 $valor = $this -> idPaciente;
		 $respuesta = ControladorPaciente:: ctrMostrarPaciente($item, $valor);
 
		 echo json_encode($respuesta);
 
	 }
}



/*=============================================
VALIDAR NO REPETIR PACIENTE
=============================================*/

if(isset( $_POST["validarPaciente"])){

	$valPaciente = new AjaxPaciente();
	$valPaciente -> validarPaciente = $_POST["validarPaciente"];
	$valPaciente -> ajaxValidarPaciente();

}

/** EDITAR PACIENTE */

if(isset($_POST["idPaciente"])){
    $editar = new AjaxPaciente();
    $editar -> idPaciente = $_POST["idPaciente"];
    $editar -> ajaxEditarPaciente();

}
